%global momorel 3

Summary: The GNOME virtual file-system libraries
Name: gnome-mime-data

Version: 2.4.1
Release: %{momorel}m
Group: System Environment/Libraries
License: LGPL
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.4/%{name}-%{version}.tar.bz2 a8bd52c6876a5294abc402f8a581ac1a

Patch0: gnome-mime-data-types.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: intltool >= 0.30
BuildPrereq: glib-devel >= 2.4.0
BuildPrereq: gnome-common >= 2.4.0

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%prep
%setup -q
%patch -p1 -b .addtype

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

# man file cannnot be installed by makeinstall
mkdir -p %{buildroot}%{_mandir}/man5
install -m 644 man/gnome-vfs-mime.5 %{buildroot}%{_mandir}/man5

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%changelog
* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.1-3m)
- adjustment BuildPreReq

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.1-2m)
- GNOME 2.6 Desktop
- rebuild against for glib-2.4.0

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.0-1m)
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0-1m)
- version 2.4.0

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.1-1m)
- version 2.3.1

* Thu Aug 14 2003 HOSONO Hidetomo <h12o@h12o.org>
- (2.3.0-3m)
- add BuildPrereq: glib-devel for /usr/bin/glib-gettextize, again
- add BuildPrereq: gnome-common for gnome-autogen.sh, again

* Thu May 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.0-2m)
- support cid font. (application/x-font-type1) atteru?

* Mon Mar 31 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.0-1m)
- version 2.3.0

* Sun Feb 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.0-2m)
- add BuildPrereq: gnome-common for gnome-autogen.sh
- add BuildPrereq: glib-devel for /usr/bin/glib-gettextize

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-1m)
- version 2.2.0

* Thu Nov 12 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-2m)
- add BuildPrereq intltool

* Thu Aug 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Wed Jun 12 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0-2k)
- version 2.0.0

* Thu May 09 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.8-2k)
- version 1.0.8

* Wed Apr 24 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.7-2k)
- version 1.0.7

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.6-2k)
- version 1.0.6

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.5-2k)
- version 1.0.5

* Tue Feb 26 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.4-2k)
- version 1.0.4

* Tue Feb 12 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.3-2k)
- version 1.0.3

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.2-2k)
- version 1.0.2

* Wed Dec 26 2001 Shingo Akagaki <dora@kondara.org>
- (1.0.0-2k)
- kondaraize

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %defines

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gnome-vfs-mime-magic
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man5/*.5*
%{_datadir}/mime-info
%{_datadir}/application-registry
%{_datadir}/locale/*/*/*
